Skip to main content
DELETE
/
data
/
{class_name}
/
{custom_object_record_id}
/
file.json
curl -X DELETE \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d "field_name=avatar" \
https://api.quickblox.com/data/UserProfileClass/5d863a78a0eb474dae6099c6/file.json
{
  "errors": [
    "Wrong permission"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt

Use this file to discover all available pages before exploring further.

Recipes

1

1. Use 'Authorization' header to pass API key

curl -X DELETE \
-H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
-d "field_name=avatar" \
https://api.quickblox.com/data/UserProfileClass/5d863a78a0eb474dae6099c6/file.json
2

2. As a result, the file is removed from the record.

HTTP/1.1 200 OK

Path Parameters

class_name
string
required
Custom object class name.
custom_object_record_id
string
required
ID of the custom object record. Generated automatically by the server after record creation.

Body Parameters

field_name
string
required
Custom object record field which contains a file.

Headers

QB-Token
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
Authorization
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format: ApiKey {your_api_key}. Must be used either QB-Token or Authorization.
On-Behalf-Of
string
User ID. The user ID of the user on whose behalf the request is being made.

Responses

A successful response
An error response
errors
array of strings
An error response
errors
array of strings
curl -X DELETE \
-H "QB-Token: eddf864695d72d33b959eec2ae6c640d817dfada" \
-d "field_name=avatar" \
https://api.quickblox.com/data/UserProfileClass/5d863a78a0eb474dae6099c6/file.json
{
  "errors": [
    "Wrong permission"
  ]
}